agency-board
GET /v1/agency/boards/{boardId}/automations/{ruleId}
One rule.
Autenticación
Envía una clave de API como token de portador. Este endpoint no especifica un permiso concreto en la especificación, así que otorga a tu clave los mínimos privilegios necesarios y comprueba la respuesta en lugar de dar por sentado.
Este endpoint no requiere ningún id de organización. Su clave ya identifica la organización a la que pertenece, y la respuesta está delimitada a ella.
Pruébalo
Reemplaza cualquier elemento entre corchetes angulares por tus propios valores, y el marcador de posición key con una clave de tu panel de control.
curl -X GET https://api.zinndigital.com/v1/agency/boards/{boardId}/automations/{ruleId} \
-H "Authorization: Bearer zdk_live_…"¿Has iniciado sesión? La consola de la API en tu panel de control rellena el ID de tu organización real y tu propia clave, y ejecuta la solicitud contra la API en vivo para que puedas ver la respuesta real. Abre este endpoint en la consola de la API
Parámetros
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
boardId (path) | Uuid | Sí | Project board ID (UUIDv7). |
ruleId (path) | Uuid | Sí | Automation rule ID (UUIDv7). |
Respuesta
| Nombre | Tipo | Obligatorio | ¿Qué es esto? |
|---|---|---|---|
id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | Sí | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | Sí | — |
description | string | No | — |
trigger | string | Sí | — |
trigger_config | object | No | — |
conditions | BoardAutomationCondition[] | No | — |
actions | BoardAutomationAction[] | No | — |
status | BoardAutomationStatus | Sí | `suspended` means WE paused it after repeated failure and it carries a reason the customer has not read. It is a third state rather than a reuse of `disabled`, because collapsin… |
position | integer | No | — |
run_count | integer | No | — |
fired_count | integer | No | — |
consecutive_failures | integer | No | — |
suspended_reason | string | No | Why we paused this rule, in authored copy from a closed table — never an exception, a status or a message from our own code. The per-failure detail lives on each run (`action_re… |
suspended_at | string | No | — |
last_fired_at | string | No | — |
last_run_at | string | No | — |
next_due_at | string | No | Only set for a wall-clock rule. Null for a rule on a live act. |
created_at | string | No | — |
updated_at | string | No | — |
Errores que este endpoint puede devolver
401 · 403 · 404